#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EMarketingMessageTemplateType {
    Unknown = 0,
    Image = 1,
    Animated = 2,
    Featured_Video = 3,
    DLC_Override = 4,
    Replay = 5,
    Event = 6,
    AutoRender = 7,
    MAX = 8,
}

impl EMarketingMessageTemplateType {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Unknown as i32 => Some(Self::Unknown),
            x if x == Self::Image as i32 => Some(Self::Image),
            x if x == Self::Animated as i32 => Some(Self::Animated),
            x if x == Self::Featured_Video as i32 => Some(Self::Featured_Video),
            x if x == Self::DLC_Override as i32 => Some(Self::DLC_Override),
            x if x == Self::Replay as i32 => Some(Self::Replay),
            x if x == Self::Event as i32 => Some(Self::Event),
            x if x == Self::AutoRender as i32 => Some(Self::AutoRender),
            x if x == Self::MAX as i32 => Some(Self::MAX),
            _ => None,
        }
    }
}
